---
references:
- id: AgarwalLogarithmic2019
  accessed:
    - year: 2019
      month: 11
      day: 1
  author:
    - family: Agarwal
      given: Naman
    - family: Hazan
      given: Elad
    - family: Singh
      given: Karan
  citation-key: AgarwalLogarithmic2019
  container-title: arXiv:1909.05062 [cs, math, stat]
  issued:
    - year: 2019
      month: 9
      day: 11
  title: Logarithmic Regret for Online Control
  type: article-journal
  URL: http://arxiv.org/abs/1909.05062

- id: AgarwalOnline2019
  accessed:
    - year: 2019
      month: 11
      day: 1
  author:
    - family: Agarwal
      given: Naman
    - family: Bullins
      given: Brian
    - family: Hazan
      given: Elad
    - family: Kakade
      given: Sham M.
    - family: Singh
      given: Karan
  citation-key: AgarwalOnline2019
  container-title: arXiv:1902.08721 [cs, math, stat]
  issued:
    - year: 2019
      month: 2
      day: 22
  title: Online Control with Adversarial Disturbances
  type: article-journal
  URL: http://arxiv.org/abs/1902.08721

- id: AnderssonCasADi2019
  accessed:
    - year: 2020
      month: 4
      day: 16
  author:
    - family: Andersson
      given: Joel A. E.
    - family: Gillis
      given: Joris
    - family: Horn
      given: Greg
    - family: Rawlings
      given: James B.
    - family: Diehl
      given: Moritz
  citation-key: AnderssonCasADi2019
  container-title: Mathematical Programming Computation
  container-title-short: Math. Prog. Comp.
  DOI: 10.1007/s12532-018-0139-4
  ISSN: 1867-2949, 1867-2957
  issue: '1'
  issued:
    - year: 2019
      month: 3
  language: en
  page: 1-36
  title: 'CasADi: a software framework for nonlinear optimization and optimal control'
  type: article-journal
  URL: http://www.optimization-online.org/DB_FILE/2018/01/6420.pdf
  volume: '11'

- id: AriyurRealTime2003
  archive: Calibre
  author:
    - family: Ariyur
      given: Kartik B.
    - family: Krstic
      given: Miroslav
  citation-key: AriyurRealTime2003
  ISBN: 978-0-471-46859-2
  issued:
    - year: 2003
      month: 10
      day: 3
  language: eng
  publisher: John Wiley & Sons
  title: Real-Time Optimization by Extremum-Seeking Control
  type: book

- id: AstromFeedback2008
  accessed:
    - year: 2018
      month: 8
      day: 8
  author:
    - family: Åström
      given: Karl J
    - family: Murray
      given: Richard M
    - literal: EBL
  citation-key: AstromFeedback2008
  event-place: Princeton
  ISBN: 978-1-4008-2873-9 978-0-691-13576-2
  issued:
    - year: 2008
  language: English
  publisher: Princeton University Press
  publisher-place: Princeton
  title: 'Feedback systems: an introduction for scientists and engineers'
  type: book
  URL: http://www.cds.caltech.edu/~murray/amwiki

- id: BardiOptimal2009
  archive: Calibre
  author:
    - family: Bardi
      given: Martino
    - family: Capuzzo-Dolcetta
      given: Italo
  citation-key: BardiOptimal2009
  ISBN: 978-0-8176-4755-1
  issued:
    - year: 2009
      month: 5
      day: 21
  language: eng
  publisher: Springer Science & Business Media
  title: Optimal Control and Viscosity Solutions of Hamilton-Jacobi-Bellman Equations
  type: book

- id: BensoussanEstimation2018
  author:
    - family: Bensoussan
      given: Alain
  citation-key: BensoussanEstimation2018
  ISBN: 978-3-319-75456-7
  issued:
    - year: 2018
  language: English
  title: Estimation and Control of Dynamical Systems
  type: book

- id: BertsekasDynamic1995
  archive: Calibre
  author:
    - family: Bertsekas
      given: Dimitri P.
  citation-key: BertsekasDynamic1995
  ISBN: 978-1-886529-13-7
  issued:
    - year: 1995
      month: 6
      day: 2
  language: eng
  publisher: Athena Scientific
  title: Dynamic Programming and Optimal Control Volume 2
  type: book

- id: BertsekasDynamic1995a
  archive: Calibre
  author:
    - family: Bertsekas
      given: Dimitri P.
  citation-key: BertsekasDynamic1995a
  ISBN: 978-1-886529-12-0
  issued:
    - year: 1995
      month: 1
      day: 1
  language: eng
  publisher: Athena Scientific
  title: Dynamic Programming and Optimal Control Volume 1
  type: book

- id: BertsekasStochastic1995
  archive: Calibre
  author:
    - family: Bertsekas
      given: Dimitri P.
    - family: Shreve
      given: Steven E.
  citation-key: BertsekasStochastic1995
  ISBN: 978-1-886529-03-8
  issued:
    - year: 1995
      month: 12
      day: 31
  language: eng
  publisher: Athena Scientific
  title: 'Stochastic Optimal Control: The Discrete Time Case'
  type: book

- id: BettsPractical2001
  author:
    - family: Betts
      given: John T.
  citation-key: BettsPractical2001
  ISBN: 978-0-89871-488-3
  issued:
    - year: 2001
  language: en
  number-of-pages: '210'
  publisher: Society for Industrial and Applied Mathematics
  title: Practical Methods for Optimal Control Using Nonlinear Programming
  type: book

- id: BieglerNonlinear2010
  author:
    - family: Biegler
      given: Lorenz T.
  citation-key: BieglerNonlinear2010
  ISBN: 978-0-89871-938-3
  issued:
    - year: 2010
      month: 1
      day: 1
  language: en
  number-of-pages: '411'
  publisher: SIAM
  title: >-
    Nonlinear Programming: Concepts, Algorithms, and Applications to Chemical
    Processes
  type: book

- id: BruntonDatadriven2019
  author:
    - family: Brunton
      given: Steven L.
    - family: Kutz
      given: Jose Nathan
  call-number: TA330 .B78 2019
  citation-key: BruntonDatadriven2019
  event-place: Cambridge
  ISBN: 978-1-108-42209-3
  issued:
    - year: 2019
  publisher: Cambridge University Press
  publisher-place: Cambridge
  title: >-
    Data-driven science and engineering: machine learning, dynamical systems,
    and control
  type: book
  URL: https://databookuw.com

- id: ChernouskoControl2008
  archive: Calibre
  author:
    - family: Chernousʹko
      given: Felix L.
    - family: Ananievski
      given: Igor M.
    - literal: Sergey A. Reshmin
  citation-key: ChernouskoControl2008
  ISBN: 978-3-540-70782-0
  issued:
    - year: 2008
      month: 10
      day: 27
  language: eng
  publisher: Springer
  title: 'Control of Nonlinear Dynamical Systems: Methods and Applications'
  type: book

- id: ElliottHidden1994
  archive: Calibre
  author:
    - family: Elliott
      given: Robert James
    - family: Moore
      given: John B.
    - family: Aggoun
      given: Lakhdar
  citation-key: ElliottHidden1994
  ISBN: 978-0-387-94364-0
  issued:
    - year: 1994
      month: 10
      day: 22
  language: eng
  publisher: Springer
  title: 'Hidden Markov Models: Estimation and Control'
  type: book

- id: FlemingDeterministic1975
  archive: Calibre
  author:
    - family: Fleming
      given: Wendell H.
    - family: Rishel
      given: Raymond W.
  citation-key: FlemingDeterministic1975
  ISBN: 978-0-387-90155-8
  issued:
    - year: 1975
      month: 11
      day: 17
  language: eng
  publisher: Springer
  title: Deterministic and Stochastic Optimal Control
  type: book

- id: GarbunoInigoInteracting2020
  accessed:
    - year: 2020
      month: 7
      day: 23
  author:
    - family: Garbuno-Inigo
      given: Alfredo
    - family: Hoffmann
      given: Franca
    - family: Li
      given: Wuchen
    - family: Stuart
      given: Andrew M.
  citation-key: GarbunoInigoInteracting2020
  container-title: SIAM Journal on Applied Dynamical Systems
  container-title-short: SIAM J. Appl. Dyn. Syst.
  DOI: 10.1137/19M1251655
  issue: '1'
  issued:
    - year: 2020
      month: 1
      day: 1
  page: 412-441
  publisher: Society for Industrial and Applied Mathematics
  title: >-
    Interacting Langevin Diffusions: Gradient Structure and Ensemble Kalman
    Sampler
  type: article-journal
  URL: http://arxiv.org/abs/1903.08866
  volume: '19'

- id: GladControl2000
  archive: Calibre
  author:
    - family: Glad
      given: Torkel
    - family: Ljung
      given: Lennart
  citation-key: GladControl2000
  ISBN: 978-0-7484-0878-8
  issued:
    - year: 2000
      month: 3
      day: 29
  language: eng
  publisher: CRC Press
  title: Control Theory
  type: book

- id: GrangerCausality1988
  author:
    - family: Granger
      given: Clive W J
  citation-key: GrangerCausality1988
  container-title: Journal of Economic Dynamics and Control
  DOI: 10.1016/0165-1889(88)90055-3
  issue: 2-3
  issued:
    - year: 1988
  page: 551-559
  title: Causality, cointegration, and control
  type: article-journal
  volume: '12'

- id: HaddadNonlinear2011
  accessed:
    - year: 2018
      month: 8
      day: 8
  author:
    - family: Haddad
      given: Wassim M
    - family: Chellaboina
      given: VijaySekhar
  citation-key: HaddadNonlinear2011
  event-place: Princeton
  ISBN: 978-1-4008-4104-2
  issued:
    - year: 2011
  language: English
  publisher: Princeton University Press
  publisher-place: Princeton
  title: 'Nonlinear Dynamical Systems and Control: a Lyapunov-Based Approach.'
  type: book
  URL: http://public.eblib.com/choice/publicfullrecord.aspx?p=768552

- id: HollandAdaptation1992
  author:
    - family: Holland
      given: John H
  citation-key: HollandAdaptation1992
  issued:
    - year: 1992
  publisher: The MIT Press
  title: >-
    Adaptation in Natural and Artificial Systems: An Introductory Analysis with
    Applications to Biology, Control, and Artificial Intelligence
  type: book

- id: KappenAdaptive2016
  accessed:
    - year: 2020
      month: 7
      day: 23
  author:
    - family: Kappen
      given: H. J.
    - family: Ruiz
      given: H. C.
  citation-key: KappenAdaptive2016
  container-title: Journal of Statistical Physics
  container-title-short: J Stat Phys
  DOI: 10.1007/s10955-016-1446-7
  ISSN: 1572-9613
  issue: '5'
  issued:
    - year: 2016
      month: 3
      day: 1
  language: en
  page: 1244-1266
  title: Adaptive Importance Sampling for Control and Inference
  type: article-journal
  URL: https://arxiv.org/abs/1505.01874v4
  volume: '162'

- id: KimOptimal2019
  accessed:
    - year: 2020
      month: 7
      day: 23
  author:
    - family: Kim
      given: Jin W.
    - family: Mehta
      given: Prashant G.
  citation-key: KimOptimal2019
  issued:
    - year: 2019
      month: 4
      day: 2
  language: en
  title: An Optimal Control Derivation of Nonlinear Smoothing Equations
  type: article-journal
  URL: https://arxiv.org/abs/1904.01710v1

- id: MaxwellGovernors1867
  accessed:
    - year: 2014
      month: 8
      day: 8
  author:
    - family: Maxwell
      given: J. Clerk
  citation-key: MaxwellGovernors1867
  container-title: Proceedings of the Royal Society of London
  container-title-short: Proc. R. Soc. Lond.
  DOI: 10.1098/rspl.1867.0055
  ISSN: 0370-1662,
  issued:
    - year: 1867
      month: 1
      day: 1
  language: en
  page: 270-283
  publisher: Royal Society
  title: On governors
  type: article-journal
  volume: '16'

- id: MayrMaxwell1971
  accessed:
    - year: 2022
      month: 1
      day: 31
  author:
    - family: Mayr
      given: Otto
  citation-key: MayrMaxwell1971
  container-title: Isis
  ISSN: 0021-1753
  issue: '4'
  issued:
    - year: 1971
  page: 425-444
  publisher: '[The University of Chicago Press, The History of Science Society]'
  title: Maxwell and the Origins of Cybernetics
  type: article-journal
  URL: https://www.jstor.org/stable/229816
  volume: '62'

- id: MohanContinuous2012
  archive: Calibre
  author:
    - family: Mohan
      given: B. M.
    - family: Kar
      given: S. K.
  citation-key: MohanContinuous2012
  ISBN: 978-1-4665-1729-5
  issued:
    - year: 2012
      month: 10
      day: 24
  language: eng
  publisher: CRC Press
  title: >-
    Continuous Time Dynamical Systems: State Estimation and Optimal Control With
    Orthogonal Functions
  type: book

- id: MyersStochastic2010
  citation-key: MyersStochastic2010
  contributor:
    - family: Myers
      given: Chris
  issued:
    - year: 2010
  publisher: Sciyo
  title: Stochastic Control
  type: book

- id: NijmeijerNonlinear1990
  accessed:
    - year: 2018
      month: 8
      day: 8
  author:
    - family: Nijmeijer
      given: H
    - family: Schaft
      given: A. J.
      dropping-particle: van der
  citation-key: NijmeijerNonlinear1990
  event-place: New York
  ISBN: 978-1-4757-2102-7
  issued:
    - year: 1990
  language: English
  publisher: Springer-Verlag
  publisher-place: New York
  title: Nonlinear dynamical control systems
  type: book
  URL: http://catalog.hathitrust.org/api/volumes/oclc/20894240.html

- id: RuckertStochastic2012
  accessed:
    - year: 2013
      month: 1
      day: 28
  author:
    - family: Rückert
      given: Elmar A.
    - family: Neumann
      given: Gerhard
  citation-key: RuckertStochastic2012
  container-title: Artificial Life
  container-title-short: Artificial Life
  DOI: 10.1162/ARTL_a_00085
  ISSN: 1064-5462
  issue: '1'
  issued:
    - year: 2012
      month: 11
      day: 27
  page: 115-131
  title: >-
    Stochastic Optimal Control Methods for Investigating the Power of
    Morphological Computation
  type: article-journal
  volume: '19'

- id: SindelarStochastic2008
  author:
    - family: Šindelář
      given: Jan
    - family: Vajda
      given: Igor
    - family: Kárnỳ
      given: Miroslav
  citation-key: SindelarStochastic2008
  container-title: Kybernetika
  issue: '1'
  issued:
    - year: 2008
  page: 53–60
  publisher: Institute of Information Theory and Automation AS CR
  title: Stochastic control optimal in the Kullback sense
  type: article-journal
  URL: https://www.kybernetika.cz/content/2008/1/53/paper.pdf
  volume: '44'

- id: SpallIntroduction2003
  archive: Calibre
  author:
    - family: Spall
      given: James C.
  citation-key: SpallIntroduction2003
  ISBN: 978-0-471-44190-8
  issued:
    - year: 2003
      month: 3
      day: 1
  language: eng
  publisher: John Wiley & Sons
  title: >-
    Introduction to Stochastic Search and Optimization: Estimation, Simulation,
    and Control
  type: book

- id: SpencerProjective2020
  accessed:
    - year: 2020
      month: 4
      day: 27
  author:
    - family: Spencer
      given: Neil A.
    - family: Shalizi
      given: Cosma Rohilla
  citation-key: SpencerProjective2020
  container-title: arXiv:1709.09702 [math, stat]
  issued:
    - year: 2020
      month: 2
      day: 7
  title: Projective, Sparse, and Learnable Latent Position Network Models
  type: article-journal
  URL: http://arxiv.org/abs/1709.09702

- id: TaghvaeiOptimal2021
  author:
    - family: Taghvaei
      given: Amirhossein
    - family: Mehta
      given: Prashant G.
  citation-key: TaghvaeiOptimal2021
  container-title: IEEE Transactions on Automatic Control
  DOI: 10.1109/TAC.2020.3015410
  ISSN: 1558-2523
  issue: '7'
  issued:
    - year: 2021
      month: 7
  page: 3052-3067
  title: An Optimal Transport Formulation of the Ensemble Kalman Filter
  type: article-journal
  URL: https://arxiv.org/abs/1910.02338v1
  volume: '66'
...
